using Microsoft.Extensions.Configuration;

using RBLNews.Shared.Models;
using RBLNews.Shared.Services.Contracts;

namespace RBLNews.Maui.Services;

public class ConfigService : IConfigService
{
	public AppSettingsModel? AppSettings { get; }

	public ConfigService(IConfiguration configuration)
	{
		this.AppSettings = configuration.GetSection("App").Get<AppSettingsModel>();
		if(this.AppSettings == null)
		{
			throw new NullReferenceException("App settings not found");
		}
	}
}